<ion-content [fullscreen]="true" [scrollEvents]="false">
  <div class="container-fluid p-0" style="height: 100vh;">
    <div [ngClass]="{'blur': add === true}" style="margin-bottom: 10%;">
      <ion-header [translucent]="true" class="ion-no-border">
        <img src="../../assets/icon/menu1.png" style="cursor: pointer; width: 16%; margin-left: 3%; margin-top: 6%;" (click)="toggle()">
        <h1 style="color: white !important; margin-left: 5%;">Todoey</h1>
        <h5 *ngIf="show" style="color: white !important; margin-left: 6%;">{{ tasks.length }} items</h5>
      </ion-header>
    </div>
    <!-- <div class="card d-flex" *ngIf="show">
      <div class="card-body"> -->
    <form class="task" [ngClass]="{'blur': add === true}" *ngIf="show">
      <div class="d-flex justify-content-between align-items-center" *ngFor="let i of tasks;let j=index;">
        <ion-label style="color: black;" class="m-3"
          [style.text-decoration]="tasks[j].id === true ? 'line-through' : 'none'">
          {{ i.name }}
        </ion-label>
        <ion-checkbox class="m-3" [checked]="tasks[j].id" (ionChange)="toggleStrike(j);"></ion-checkbox>
      </div>
    </form>
    <!-- </div> -->
    <!-- </div> -->
    <div class="text-center" id="footer" *ngIf="add === true">
      <h3 style="color: #00ccff; text-align: center;">Add Task</h3><br>
      <input type="text" class="form-group text-center" [(ngModel)]="name"
        style="text-align: center; border: none;outline: none; width: 100%; border-bottom: 5px solid #00ccff; border-bottom-width: 50%;color: black;"><br><br>
      <ion-button expand="full" color="secondary" (click)="showAddTask()">Add</ion-button>
    </div>
  </div>
</ion-content>
<ion-fab vertical="bottom" horizontal="end" style="margin: 5%;" (click)="nullify();showAddTask()" *ngIf="add === false">
  <ion-fab-button color="secondary">
    <ion-icon  name="add"></ion-icon>
  </ion-fab-button>
</ion-fab>